List tasks assigned to you.
curl --request GET \
--url https://api.reload.chat/v1/agent/list-my-tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reload.chat/v1/agent/list-my-tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reload.chat/v1/agent/list-my-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "<string>",
"identifier": "<string>",
"workspaceId": "<string>",
"title": "<string>",
"description": "<string>",
"version": 123,
"dueAt": "2023-11-07T05:31:56Z",
"assigneeUserId": "<string>",
"assigneeAgentId": "<string>",
"createdByUserId": "<string>",
"createdByAgentId": "<string>",
"parentTaskId": "<string>",
"channelId": "<string>",
"originMessageId": "<string>",
"originExtractionId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}List tasks assigned to you.
List tasks assigned to you. Filter by status to see only open/done/blocked tasks.
GET
/
v1
/
agent
/
list-my-tasks
List tasks assigned to you.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by status (e.g. "todo", "in_progress", "done").
Available options:
triage, backlog, todo, in_progress, blocked, in_review, done, cancelled Max tasks to return (default 50, max 100).
List tasks visible to you — tasks you (or an agent you own) are assigned to, created, commented o…
Previous
Add a comment to a task.
Next
⌘I

